classification
Title: Make sysmodule.c compatible with Bazaar
Type: enhancement Stage:
Components: Interpreter Core Versions: Python 3.0, Python 2.6, Python 2.5
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: barry Nosy List: barry, benjamin.peterson, brett.cannon, schmir
Priority: normal Keywords:

Created on 2008-03-22 14:53 by barry, last changed 2010-05-17 14:47 by barry. This issue is now closed.

Messages (4)
msg64327 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2008-03-22 14:53
For the Bazaar experiment <http://www.python.org/dev/bazaar>,
sysmodule.c needs to be made compatible with Bazaar, for build number
display.
msg64389 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-03-24 02:03
Is there a short-term solution we can come up with?

Unfortunately stat'ing for the existence of .bzr is not easy since there 
is no platform-independent solution (as posixmodule.c shows). Should some 
default values be used?
msg64441 - (view) Author: Ralf Schmitt (schmir) Date: 2008-03-24 21:11
stat'ing for .bzr is bad. Then it will not work with .git, .hg.
msg71906 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-08-25 01:50
I suggest that this option (when it is implemented) can be a configure
switch.
History
Date User Action Args
2010-05-17 14:47:14barrysetstatus: open -> closed
resolution: wont fix
2008-08-25 01:50:18benjamin.petersonsetmessages: + msg71906
2008-08-24 22:21:23nnorwitzsettype: crash -> enhancement
2008-03-24 21:11:41schmirsetnosy: + schmir
messages: + msg64441
2008-03-24 02:03:11brett.cannonsetnosy: + brett.cannon
messages: + msg64389
2008-03-22 17:42:39benjamin.petersonsetnosy: + benjamin.peterson
2008-03-22 14:53:26barrycreate